Mail archive
alpine-aports

[alpine-aports] [PATCH 1/3] main/vim: vim is not licensed under GPL

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 25 Aug 2015 19:46:04 +0200

---
 main/vim/APKBUILD | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)
diff --git a/main/vim/APKBUILD b/main/vim/APKBUILD
index 42f15ce..cb1707e 100644
--- a/main/vim/APKBUILD
+++ b/main/vim/APKBUILD
_at_@ -3,12 +3,12 @@ pkgname=vim
 pkgver=7.4.712
 _srcver=${pkgver%.*}
 _patchver=${pkgver##*.}
-pkgrel=0
+pkgrel=1
 pkgdesc="advanced text editor"
 url="http://www.vim.org"
 arch="all"
-license='GPL'
-depends=
+license="custom"
+depends=""
 makedepends="ncurses-dev lua5.2-dev"
 subpackages="$pkgname-doc ${pkgname}diff"
 # hg clone https://vim.googlecode.com/archive/v${pkgver//./-}.tar.gz
_at_@ -36,14 +36,18 @@ build() {
 		--enable-multibyte \
 		--enable-gui=no \
 		--with-lua-prefix=/usr/lua5.2 \
+		--with-compiledby="Alpine Linux" \
 		|| return 1
 	make || return 1
 }
 
 package() {
 	cd "$_builddir"
-	make -j1 DESTDIR="$pkgdir/" install
-	install -D "$srcdir"/vimrc "$pkgdir"/etc/vim/vimrc
+	make DESTDIR="$pkgdir/" install
+
+	install -Dm644 runtime/doc/uganda.txt \
+		"$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+	install -D "$srcdir"/vimrc "$pkgdir"/etc/vim/vimrc || return 1
 }
 
 vimdiff() {
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Aug 25 2015 - 19:46:04 GMT